------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

WITH Ada.Strings.Unbounded.Text_Io;
USE Ada.Strings.Unbounded.Text_Io;

WITH Text_Io;
USE Text_Io;

PACKAGE BODY Address_Spaces IS


   PROCEDURE Initialize (
         A_Addr : IN OUT Address_Space) IS
   BEGIN
      A_Addr.Object_Type:=Address_Space_Object_Type;
   END Initialize;



   --------------------------------------------------



   PROCEDURE Put (
         A_Addr : IN     Address_Space) IS
   BEGIN
      Put ("Name : " & To_String(A_Addr.Name));
      Put (" : processor : " & To_String(A_Addr.Cpu_Name));
      Put (" ; Text_memory_size : " & A_Addr.Text_Memory_Size'Img);
      Put (" ; heap_memory_size : " & A_Addr.Heap_Memory_Size'Img);
      Put (" ; stack_memory_size : " & A_Addr.Stack_Memory_Size'Img);
      Put (" ; data_memory_size : " & A_Addr.Data_Memory_Size'Img);
      Put(A_Addr.Scheduler.All);
      New_Line;
   END Put;

   PROCEDURE Put_Name (
         A_Addr : IN     Address_Space_Ptr) IS
   BEGIN
      Put(To_String(A_Addr.Name));
   END Put_Name;

   PROCEDURE Put (
         A_Addr : IN     Address_Space_Ptr) IS
   BEGIN
      Put(A_Addr.All);
   END Put;


   --------------------------------------------------

   FUNCTION Copy (
         A_Addr : IN     Address_Space_Ptr)
     RETURN Address_Space_Ptr IS

      New_Addr : Address_Space_Ptr;

   BEGIN
      New_Addr:=NEW Address_Space;
      New_Addr.All:=A_Addr.All;
      RETURN New_Addr;
   END Copy;






END Address_Spaces;




