------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

WITH Text_Io;
USE Text_Io;

WITH Framework_Config;
USE Framework_Config;

WITH Gnat.Source_Info;
USE Gnat.Source_Info;

WITH Natural_Util;
USE Natural_Util;

PACKAGE BODY Debug IS


   PROCEDURE Put_Debug (
         Str  : IN     Unbounded_String;
         File : IN     String           := Gnat.Source_Info.File;
         Line : IN     Natural          := Gnat.Source_Info.Line) IS
   BEGIN
      IF Cheddar_Debug
            THEN
         Put_Line(File & ":" & To_String(Format(Line)) & ":" & To_String(
               Str));
      END IF;
   END Put_Debug;



   PROCEDURE Put_Debug (
         Str  : IN     String;
         File : IN     String  := Gnat.Source_Info.File;
         Line : IN     Natural := Gnat.Source_Info.Line) IS
   BEGIN
      IF Cheddar_Debug
            THEN
         Put_Line(File & ":" & To_String(Format(Line)) & ":" & Str);
      END IF;
   END Put_Debug;


END Debug;
