------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Ada.Strings.Unbounded.Text_Io;
USE Ada.Strings.Unbounded.Text_Io;


WITH Text_Io;
USE Text_Io;


PACKAGE BODY Event_Analyzers IS



   PROCEDURE Put (
         My_Event_Analyzer : IN     Event_Analyzer_Ptr) IS
   BEGIN
      Put_Line("Event handler : " & To_String(My_Event_Analyzer.
            Behavior_File_Name));
      Put_Line("Event handler : " & To_String(My_Event_Analyzer.
            String_Behavior));
   END Put;


   FUNCTION Copy (
         My_Event_Analyzer : IN     Event_Analyzer_Ptr)
     RETURN Event_Analyzer_Ptr IS

      New_Event : Event_Analyzer_Ptr;
   BEGIN
      New_Event := NEW Event_Analyzer;
      New_Event.All:=My_Event_Analyzer.All;
      RETURN New_Event;
   END Copy;


END Event_Analyzers;











