------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Text_Io;
USE Text_Io;

PACKAGE BODY Networks IS


   PROCEDURE Initialize (
         My_Network : IN OUT Network) IS
   BEGIN
      My_Network.Network_Type := Bounded_Delay;
   END Initialize;


   PROCEDURE Free (
         My_Network : IN OUT Network_Ptr) IS
   BEGIN
      NULL;
   END Free;


   FUNCTION Copy (
         My_Network : IN     Network_Ptr)
     RETURN Network_Ptr IS

      New_Network : Network_Ptr;

   BEGIN

      New_Network := NEW Network;
      New_Network.All := My_Network.All;
      RETURN New_Network;
   END Copy;

   PROCEDURE Put (
         My_Network : IN     Network_Ptr) IS
   BEGIN
      Put_Line("Name = " & To_String(My_Network.Name));
      Put_Line("Type = " & My_Network.Network_Type'Img);
   END Put;


   FUNCTION Get_Name (
         My_Network : IN     Network_Ptr)
     RETURN Unbounded_String IS
   BEGIN
      RETURN My_Network.Name;
   END Get_Name;


END Networks;
