------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

WITH Text_Io;
USE Text_Io;


PACKAGE BODY Objects  IS




   PROCEDURE Put (
         My_Object : IN     Generic_Object) IS
   BEGIN
      Put(To_String(My_Object.Name));
   END Put;

   PROCEDURE Put (
         My_Object : IN     Object_Ptr) IS
   BEGIN
      Put(My_Object.All);
   END Put;


   PROCEDURE Put_Name (
         My_Object : IN     Object_Ptr) IS
   BEGIN
      Put(To_String(My_Object.Name));
   END Put_Name;


   FUNCTION Copy (
         My_Object : IN     Object_Ptr)
     RETURN Object_Ptr IS

      New_Obj : CONSTANT Object_Ptr :=
      NEW Generic_Object;
   BEGIN
      New_Obj.Name:=My_Object.Name;
      RETURN New_Obj;
   END Copy;




   FUNCTION Is_A_Valid_Identifier (
         Id : Unbounded_String)
     RETURN Boolean IS

      Char : Character;

   BEGIN

      FOR I IN 1..Length(Id) LOOP

         Char := Element(Id,I);
         IF    Char/='a' AND
               Char/='b' AND
               Char/='c' AND
               Char/='d' AND
               Char/='e' AND
               Char/='f' AND
               Char/='g' AND
               Char/='h' AND
               Char/='i' AND
               Char/='j' AND
               Char/='h' AND
               Char/='k' AND
               Char/='l' AND
               Char/='m' AND
               Char/='n' AND
               Char/='o' AND
               Char/='p' AND
               Char/='q' AND
               Char/='r' AND
               Char/='s' AND
               Char/='t' AND
               Char/='u' AND
               Char/='v' AND
               Char/='w' AND
               Char/='x' AND
               Char/='y' AND
               Char/='z' AND
               Char/='A' AND
               Char/='B' AND
               Char/='C' AND
               Char/='D' AND
               Char/='E' AND
               Char/='F' AND
               Char/='G' AND
               Char/='H' AND
               Char/='I' AND
               Char/='J' AND
               Char/='K' AND
               Char/='L' AND
               Char/='M' AND
               Char/='N' AND
               Char/='O' AND
               Char/='P' AND
               Char/='Q' AND
               Char/='R' AND
               Char/='S' AND
               Char/='T' AND
               Char/='U' AND
               Char/='V' AND
               Char/='W' AND
               Char/='X' AND
               Char/='Y' AND
               Char/='Z' AND
               Char/='0' AND
               Char/='1' AND
               Char/='2' AND
               Char/='3' AND
               Char/='4' AND
               Char/='5' AND
               Char/='6' AND
               Char/='7' AND
               Char/='8' AND
               Char/='9' AND
               Char/='.' AND
               Char/='-' AND
               Char/='_'
               THEN
            RETURN False;
         END IF;
      END LOOP;

      RETURN True;

   END  Is_A_Valid_Identifier;





END Objects;





