------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developped by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

WITH Systems;
USE Systems;

WITH Buffers;
USE Buffers;
USE Buffers.Buffer_Roles;



PACKAGE Random_Project IS

   -- generate system 1 consumer/Nb_Prod producer
   --
   PROCEDURE Random_Project_1_N (
         Nb_Prod      : IN     Buffer_Roles_Range;
         Per_Max_Prod : IN     Natural;
         Per_Cons     : IN     Natural;
         Dea_Max      : IN     Natural;
         Max_Base_Per : IN     Natural;
         Sys          :    OUT System);


   -- equal function for numeric stability
   --
   PROCEDURE Random_Project_1_N_Harmonic (
         Nb_Prod       : IN     Buffer_Roles_Range;
         Coef_Max_Prod : IN     Natural;
         Per_Cons      : IN     Natural;
         Dea_Max       : IN     Natural;
         Sys           :    OUT System);

   -- generate system Nb_Cons consumer/Nb_Prod producer
   --
   PROCEDURE Random_Project (
         Nb_Prod      : IN     Buffer_Roles_Range;
         Nb_Cons      : IN     Buffer_Roles_Range;
         Per_Max_Prod : IN     Natural;
         Per_Max_Cons : IN     Natural;
         Per_Min_Cons : IN     Natural;
         Dea_Max      : IN     Natural;
         Max_Base_Per : IN     Natural;
         Sys          :    OUT System);


END Random_Project;
