------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developped by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with scheduler;
use scheduler;

WITH Systems;
USE Systems;

WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;

PACKAGE Random_Scheduling IS

   -- constant
   Nb_Job_Per_Task_Max : Natural := 500;

   -- type definition
   TYPE Response_Table_Set IS ARRAY (1 .. Nb_Job_Per_Task_Max) OF Response_time_Table;

   -- display an array of respone time table
   PROCEDURE Put (
         Res_Time_Set    : IN     Response_Table_Set;
         Nb_Res_Time_Set : IN     Natural);

   -- generate random response time Nb_Rand_scheduling time for system sys
   PROCEDURE Random_Buff_Size_Plot (
         Nb_Rand_Scheduling : Natural;
         Nb_Base_Period     : Natural;
         Save_Response      : Boolean;
         Save_Buff_Response : Natural;
         Save_File_Name     : Unbounded_String;
         Sys                : System);

END Random_Scheduling;
