------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Text_Io;
USE Text_Io;

WITH Framework_Config;
USE Framework_Config;

WITH Translate;
USE Translate;

WITH Tasks;
USE Tasks;

WITH Scheduler;
USE Scheduler;
USE Scheduler.Double_Tasks_Parameters;



WITH Time_Units;
USE Time_Units;
USE Time_Units.A_Time_Unit;


WITH Unbounded_Strings;
USE Unbounded_Strings;





PACKAGE BODY Scheduler.Hierarchical.Round_Robin  IS



   PROCEDURE Initialize (
         A_Scheduler : IN OUT Hierarchical_Round_Robin_Scheduler) IS
   BEGIN
      Reset(A_Scheduler);
      A_Scheduler.Name:= Hierarchical_Round_Robin_Protocol;
   END Initialize;


   FUNCTION Copy (
         A_Scheduler : IN     Hierarchical_Round_Robin_Scheduler)
     RETURN Scheduler_Ptr IS

      Ptr : Hierarchical_Round_Robin_Scheduler_Ptr;

   BEGIN

      Ptr:= NEW Hierarchical_Round_Robin_Scheduler;

      Ptr.Name:=A_Scheduler.Name;
      Ptr.Is_Preemptive:=A_Scheduler.Is_Preemptive;
      Ptr.Quantum:=A_Scheduler.Quantum;
      Ptr.Previously_Elected:=A_Scheduler.Previously_Elected;

      RETURN Scheduler_Ptr(Ptr);

   END Copy;


   PROCEDURE Check_Before_Scheduling (
         My_Scheduler   : IN     Hierarchical_Round_Robin_Scheduler;
         My_Tasks       : IN     Tasks_Set;
         Processor_Name : IN     Unbounded_String) IS

   BEGIN
      NULL;
   END Check_Before_Scheduling;







END Scheduler.Hierarchical.Round_Robin ;


