------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automatically check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Package description :
--
-- 
-- 
------------------------------------------------------------------------------
------------------------------------------------------------------------------


with Fifos;

with Text_Io;
use Text_Io;


procedure Tfifos2 is 

   package Integerio is new Text_Io.Integer_Io(Integer);

   procedure Put (
         I : Integer ) is 
   begin
      Integerio.Put(I);
   end Put;

   package My_Fifos is new Fifos (5,Integer, Put);
   use My_Fifos;

   A_Fifo : Fifo;  
   Res    : Integer := 0;  

begin
   Reset(A_Fifo);

   Insert(A_Fifo, 1);
   Insert(A_Fifo, 2);
   Insert(A_Fifo, 3);

   Extract(A_Fifo, Res);
   Extract(A_Fifo, Res);

   Insert(A_Fifo, 4);
   Extract(A_Fifo, Res);
   Insert(A_Fifo, 5);
   Extract(A_Fifo, Res);

   Insert(A_Fifo, 6);
   Insert(A_Fifo, 7);
   Insert(A_Fifo, 8);

   Put(A_Fifo);


   Extract_Any_Where(A_Fifo,7);
   Put(A_Fifo);

   Extract_Any_Where(A_Fifo,5);
   Put(A_Fifo);

   Extract_Any_Where(A_Fifo,8);
   Put(A_Fifo);

end Tfifos2;



