------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automatically check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Package description :
--
-- 
-- 
------------------------------------------------------------------------------
------------------------------------------------------------------------------





with Lists;
with Unchecked_Deallocation;

with Text_Io;
use Text_Io;


procedure Tlist is 

   package Integerio is new Text_Io.Integer_Io(Integer);

   type Integer_Ptr is access Integer; 

   procedure Free is 
   new Unchecked_Deallocation
      (Integer, Integer_Ptr);


   procedure Put (
         I : Integer_Ptr ) is 
   begin
      Integerio.Put(I.All);
   end Put;

   package My_List is new Lists (Integer_Ptr, Put, Free);
   use My_List;


   A_List : List;  
   Res1,  
   Res2,  
   Res3   : Integer_Ptr;  

begin

   Res1:= new Integer'(1);
   Res2:= new Integer'(2);
   Res3:= new Integer'(3);

   Add(A_List, Res1);
   Add(A_List, Res2);
   Add(A_List, Res3);
   Put(A_List);
   Put_Line("  Should be 3 2 1");
   New_Line;

   Delete(A_List, Res3);
   Put(A_List);
   Put_Line("  Should be 2 1");
   New_Line;

   Res3:= new Integer'(3);
   Add(A_List, Res3);
   Delete(A_List, Res1);
   Put(A_List);
   Put_Line("  Should be 3 2");
   New_Line;

   Res1:= new Integer'(1);
   Add(A_List, Res1);
   Delete(A_List, Res3);
   Put(A_List);
   Put_Line("  Should be 1 2");
   New_Line;

   Delete(A_List, Res1);

   Put(Get_Tail(A_List));
   Put(Get_Head(A_List));

   Delete(A_List, Res2);
   if Is_Empty(A_List)
         then
      Put_Line("List is empty");
   end if;


end Tlist;



