------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automatically check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Package description :
--
-- 
-- 
------------------------------------------------------------------------------
------------------------------------------------------------------------------





with Lists;
with Unchecked_Deallocation;

with Text_Io;
use Text_Io;


procedure Tlist2 is 

   package Integerio is new Text_Io.Integer_Io(Integer);

   type Integer_Ptr is access Integer; 

   procedure Free is 
   new Unchecked_Deallocation
      (Integer, Integer_Ptr);


   procedure Put (
         I : Integer_Ptr ) is 
   begin
      Integerio.Put(I.All);
   end Put;

   package My_List is new Lists (Integer_Ptr, Put, Free);
   use My_List;


   A_List : List;  
   Elem   : Integer_Ptr;  
   I      : Iterator;  


begin

   Elem:= new Integer'(1);
   Add(A_List, Elem);

   Elem:= new Integer'(2);
   Add(A_List, Elem);

   Elem:= new Integer'(3);
   Add(A_List, Elem);

   Put(A_List);
   New_Line;

   Put_Line("Scan the list from the tail to the head");
   Reset_Tail_Iterator(A_List, I);
   loop
      Current_Element (A_List, Elem, I);
      Put(Integer'Image(Elem.All));
      if  Is_Head_Element (A_List,I) then
         exit;
      end if;
      Previous_Element (A_List, I);
   end loop;
   New_Line;

   Put_Line("Scan the list from the head to the tail");
   Reset_Head_Iterator(A_List, I);
   loop
      Current_Element (A_List, Elem, I);
      Put(Integer'Image(Elem.All));
      if  Is_Tail_Element (A_List,I) then
         exit;
      end if;
      Next_Element (A_List, I);
   end loop;
   New_Line;
end Tlist2;



