------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Gtk.Menu_Item;
USE Gtk.Menu_Item;
WITH Gtk.Widget;
USE Gtk.Widget;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Toolbar;
USE Gtk.Toolbar;
WITH Gtk.Drawing_Area;
USE Gtk.Drawing_Area;
WITH Gtk.Editable;
USE Gtk.Editable;
WITH Gtk.Clist;
USE Gtk.Clist;
WITH Gtk.Frame;
USE Gtk.Frame;
WITH Gtk.Handlers;
USE Gtk.Handlers;
WITH Gtk.Notebook;
USE Gtk.Notebook;
WITH Gtk.Check_Button;
USE Gtk.Check_Button;
WITH Gtk.Widget;
USE Gtk.Widget;
WITH Gtk;
USE Gtk;



PACKAGE Callbacks_Cheddar IS

   PACKAGE Menu_Item_Callback IS NEW
      Gtk.Handlers.Callback (Gtk_Menu_Item_Record);

   PACKAGE Widget_Handler IS NEW
      Gtk.Handlers.Callback (Gtk_Widget_Record);

   PACKAGE Button_Callback IS NEW
      Gtk.Handlers.Callback (Gtk_Button_Record);

   PACKAGE Toolbar_Callback IS NEW
      Gtk.Handlers.Callback (Gtk_Toolbar_Record);

   PACKAGE Drawing_Area_Callback IS NEW
      Gtk.Handlers.Callback (Gtk_Drawing_Area_Record);

   PACKAGE Combo_Callback IS NEW
      Gtk.Handlers.Callback (Gtk_Editable_Record);

   PACKAGE List_Callback IS NEW
      Gtk.Handlers.Callback (Gtk_Clist_Record);

   PACKAGE Note_Callback IS NEW Handlers.Callback (Gtk_Notebook_Record);

   PACKAGE Notebook_Button_Callback IS NEW Handlers.User_Callback
      (Gtk_Check_Button_Record, Gtk_Notebook);

   PACKAGE Two_Notebook_Callback IS NEW Handlers.User_Callback
      (Gtk_Notebook_Record, Gtk_Notebook);

   PACKAGE Frame_Callback IS NEW Handlers.User_Callback
      (Gtk_Check_Button_Record, Gtk_Frame);

END Callbacks_Cheddar;




