------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff
-- Cheddar is developed by the LIMI Team/LISYC, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;
WITH Message_Set;
USE Message_Set;
USE  Message_Set.Generic_Message_Set;
WITH Graph_Item_Pkg;
USE Graph_Item_Pkg;
WITH Graph_Window_Pkg;
USE Graph_Window_Pkg;
WITH My_Canvas;
USE My_Canvas;
WITH Update_Messages_Set_Pkg;
USE Update_Messages_Set_Pkg;
WITH Update_Buffers_Set_Pkg;
USE Update_Buffers_Set_Pkg;
WITH Update_Tasks_Set_Pkg;
USE Update_Tasks_Set_Pkg;
WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Translate;
USE Translate;

WITH Project;
USE Project;
WITH Framework_Config;
USE Framework_Config;

PACKAGE BODY Graph_Add_Pkg.Callbacks IS




   PROCEDURE On_Ok_Pressed (
         Object : ACCESS Gtk_Button_Record'Class) IS
      Name : Unbounded_String;
      Item : Item_Object_Access;
   BEGIN

      Is_Saved:=False;

      Name := To_Unbounded_String(Gtk.Gentry.Get_Text(Get_Entry(
               Add_New_Item.Combo)));
      IF (Add_New_Item.Item_Type="message") THEN
         IF(Name=To_String(Lb_New(Current_Language))) THEN
            Gtk_New (Update_Messages_Set, To_Unbounded_String(
                  "graph_window"));
            Show_Advanced (Update_Messages_Set,False);

         ELSE
            Item := Item_Object_Access(Search_Item_By_Name(Graph_Window.
                  Buffer,To_Unbounded_String("message"),Name));
            Set_Visibility(Item,True);
            My_Canvas.Remove(Graph_Window.Buffer,Items_List(Last_Item-1));
         END IF;
      END IF;

      IF (Add_New_Item.Item_Type="buffer") THEN
         IF(Name=To_String(Lb_New(Current_Language))) THEN
            Gtk_New (Update_Buffers_Set, Lb_Add_Buffer(Current_Language),
               To_Unbounded_String("graph_window"));
            Show_Advanced (Update_Buffers_Set, False);
         ELSE
            Item := Item_Object_Access(Search_Item_By_Name(Graph_Window.
                  Buffer,To_Unbounded_String("buffer"),Name));
            Set_Visibility(Item,True);
            My_Canvas.Remove(Graph_Window.Buffer,Items_List(Last_Item-1));
         END IF;
      END IF;

      IF (Add_New_Item.Item_Type="task") THEN
         IF(Name=To_String(Lb_New(Current_Language))) THEN
            Gtk_New(Update_Tasks_Set, Lb_Add_Task(Current_Language));
            Show_Advanced (Update_Tasks_Set,False);
         ELSE
            Item := Item_Object_Access(Search_Item_By_Name(Graph_Window.
                  Buffer,To_Unbounded_String("task"),Name));
            Set_Visibility(Item,True);
            My_Canvas.Remove(Graph_Window.Buffer,Items_List(Last_Item-1));
         END IF;
      END IF;

      Hide(Add_New_Item);

   END On_Ok_Pressed;

   PROCEDURE On_Cancel_Pressed (
         Object : ACCESS Gtk_Button_Record'Class) IS
   BEGIN

      My_Canvas.Remove(Graph_Window.Buffer,Items_List(Last_Item-1));
      Hide(Add_New_Item);
   END On_Cancel_Pressed;

END Graph_Add_Pkg.Callbacks;

































