------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------





WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Box;
USE Gtk.Box;
WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;
WITH Gtk.Combo;
USE Gtk.Combo;
WITH Gtk.Enums;
USE Gtk.Enums;


PACKAGE Graph_Add_Pkg IS

   TYPE Add_Item_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Label         : Gtk_Label;
         Combo         : Gtk_Combo;
         Items         : String_List.Glist;
         Hseparator    : Gtk_Hseparator;
         Vseparator    : Gtk_Vseparator;
         Hbox          : Gtk_Hbox;
         Vbox          : Gtk_Vbox;
         Ok_Button     : Gtk_Button;
         Cancel_Button : Gtk_Button;
         Parent        : Unbounded_String;
         Item_Type     : Unbounded_String;
      END RECORD;
   TYPE Add_Item_Access IS ACCESS ALL Add_Item_Record'Class;

   PROCEDURE Gtk_New (
         Add_New_Item :    OUT Add_Item_Access;
         Item         : IN     String);
   PROCEDURE Initialize (
         Add_New_Item : ACCESS Add_Item_Record'Class);

   Add_New_Item : Add_Item_Access;

END Graph_Add_Pkg;
