------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Graph_Window_Pkg;
USE Graph_Window_Pkg;
WITH Graph_Toolbar_Pkg;
USE Graph_Toolbar_Pkg;
WITH My_Canvas;
USE My_Canvas;
WITH Glib;
USE Glib;
WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Button;
USE Gtk.Button;
WITH Glib;
USE Glib;
WITH Gtk.Handlers;
USE Gtk.Handlers;
WITH Glib;
USE Glib;


PACKAGE Graph_Callbacks_Pkg IS

   PACKAGE Canvas_Cb IS NEW Gtk.Handlers.Callback (
      Interactive_Canvas_Record);
   PACKAGE Canvas_Boolean_Cb IS
      NEW Gtk.Handlers.Return_Callback (Interactive_Canvas_Record, Boolean);
   PACKAGE Graph_Window_Cb IS
      NEW Gtk.Handlers.Callback (Graph_Window_Record);
   PACKAGE Graph_Window_Gint_Cb IS
      NEW Gtk.Handlers.Return_Callback (Graph_Window_Record,Gint);

   PACKAGE Graph_Window_Boolean_Cb IS
      NEW Gtk.Handlers.Return_Callback (Graph_Window_Record,Boolean);

   PACKAGE Graph_Button_Cb IS NEW Gtk.Handlers.Callback (
      Gtk_Button_Record);

   PACKAGE Button_Callback IS NEW Gtk.Handlers.Callback (
      Gtk_Button_Record);
   PACKAGE Win_Callback IS NEW Gtk.Handlers.Callback(Gtk_Window_Record);

   PROCEDURE Open_Graph (
         Button : ACCESS Gtk_Button_Record'Class);
   PROCEDURE Close_Win (
         Win : ACCESS Gtk_Window_Record'Class);
   PROCEDURE Hide_Graph_Window (
         G : ACCESS Graph_Window_Record'Class);
   FUNCTION Close_Graph (
         Win : ACCESS Graph_Window_Record'Class)
     RETURN Gint;

   PROCEDURE Callbacks_Init (
         Win : Graph_Window_Access;
         Tb  : Graph_Toolbar_Access);


   Zoom_Levels : CONSTANT
   ARRAY (Positive RANGE <>) OF Guint :=
      (10, 25, 50, 75, 100, 125, 150, 200, 300, 400);

END Graph_Callbacks_Pkg ;
