------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Gtk.Enums;
USE Gtk.Enums;
WITH Gtk.Toolbar;
USE Gtk.Toolbar;
WITH Gtk.Widget;
USE Gtk.Widget;
WITH Gtk.Pixmap;
USE Gtk.Pixmap;
WITH Gtk.Combo;
USE Gtk.Combo;
WITH Gtk.Radio_Button;
USE Gtk.Radio_Button;
WITH Gtk.Window;
USE Gtk.Window;


PACKAGE Graph_Toolbar_Pkg IS

   TYPE Graph_Toolbar IS
      RECORD

         -- The tool bars
         Action_Toolbar,
         Disp_Toolbar   : Gtk_Toolbar;

         Pixmap_Zoom_In,
         Pixmap_Zoom_Out,
         Pixmap_Close,
         Pixmap_Help,
         Pixmap_Disp1,
         Pixmap_Disp2,
         Pixmap_Disp3    : Gtk_Pixmap;

         Zoom_In_Button,
         Zoom_Out_Button,
         Close_Button,
         Help_Button,
         Ok_Button,
         Disp4_Button    : Gtk_Widget;
         Combo           : Gtk_Combo;
         Items           : String_List.Glist;

         Arrow_Radio_Button,
         Task_Radio_Button,
         Mesg_Radio_Button,
         Buffer_Radio_Button : Gtk_Radio_Button;
      END RECORD;

   TYPE Graph_Toolbar_Access IS ACCESS ALL Graph_Toolbar;

   PROCEDURE New_Tool_Bar (
         Tool : IN OUT Graph_Toolbar_Access;
         App  : ACCESS Gtk_Window_Record'Class);




END Graph_Toolbar_Pkg;



