------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;

WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;



PACKAGE New_Buffer_Role_Pkg IS



   TYPE New_Buffer_Role_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE New_Buffer_Role_Access IS ACCESS ALL New_Buffer_Role_Record'Class;


   PROCEDURE Gtk_New (
         New_Buffer_Role :    OUT New_Buffer_Role_Access;
         Task_Name       : IN     Unbounded_String;
         Buffer_Name     : IN     Unbounded_String;
         Role            : IN     String);

   PROCEDURE Initialize (
         New_Buffer_Role : ACCESS New_Buffer_Role_Record'Class;
         Task_Name       : IN     Unbounded_String;
         Buffer_Name     : IN     Unbounded_String;
         Role            : IN     String);


   New_Buffer_Role : New_Buffer_Role_Access;

PRIVATE

   TYPE New_Buffer_Role_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Vbox      : Gtk_Vbox;
         Hbox      : Gtk_Hbox;
         Separator : Gtk_Hseparator;

         Task_Name_Label : Gtk_Label;
         Task_Name_Entry : Gtk_Entry;
         Role_Label      : Gtk_Label;
         Role_Entry      : Gtk_Entry;
         Size_Label      : Gtk_Label;
         Size_Entry      : Gtk_Entry;

         Ok_Button : Gtk_Button;

         Buffer_Name : Unbounded_String;
      END RECORD;

END New_Buffer_Role_Pkg;
