------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Scrolled_Window;
USE Gtk.Scrolled_Window;



PACKAGE Display_Event_Analyzers_Set_Pkg IS

   TYPE Display_Event_Analyzers_Set_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Display_Event_Analyzers_Set_Access IS ACCESS ALL Display_Event_Analyzers_Set_Record'Class;

   PROCEDURE Gtk_New (
         Display_Event_Analyzers_Set :    OUT Display_Event_Analyzers_Set_Access);
   PROCEDURE Initialize (
         Display_Event_Analyzers_Set : ACCESS Display_Event_Analyzers_Set_Record'Class);

   Display_Event_Analyzers_Set : Display_Event_Analyzers_Set_Access;

PRIVATE

   TYPE Display_Event_Analyzers_Set_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Scroll : Gtk_Scrolled_Window;
         Vbox   : Gtk_Vbox;
         Lab    : Gtk_Label;

         Entry_Name : Gtk_Entry;

         Separator    : Gtk_Hseparator;
         Close_Button : Gtk_Button;
      END RECORD;

END Display_Event_Analyzers_Set_Pkg;
