------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Clist;
USE Gtk.Clist;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtkada.Types;
USE Gtkada.Types;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Scrolled_Window;
USE Gtk.Scrolled_Window;

PACKAGE Display_Messages_Set_Pkg IS


   TYPE Display_Messages_Set_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Display_Messages_Set_Access IS ACCESS ALL Display_Messages_Set_Record'Class;

   PROCEDURE Gtk_New (
         Display_Messages_Set :    OUT Display_Messages_Set_Access);
   PROCEDURE Initialize (
         Display_Messages_Set : ACCESS Display_Messages_Set_Record'Class);

   Display_Messages_Set : Display_Messages_Set_Access;

PRIVATE

   TYPE Display_Messages_Set_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Vbox_Main    : Gtk.Box.Gtk_Box;
         Hbox_Up      : Gtk.Box.Gtk_Box;
         Hbox_Down    : Gtk.Box.Gtk_Box;
         Scroll_List  : Gtk_Scrolled_Window;
         List_Titles  : Chars_Ptr_Array (1 .. 6);
         List         : Gtk.Clist.Gtk_Clist;
         Button_Close : Gtk.Button.Gtk_Button;
      END RECORD;

END Display_Messages_Set_Pkg;

