------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Gtk.Text;
USE Gtk.Text;
WITH Gtk.Table;
USE Gtk.Table;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Check_Button;
USE Gtk.Check_Button;
WITH Gtk.Hbutton_Box;
USE Gtk.Hbutton_Box;
WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Widget;
USE Gtk.Widget;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Option_Menu;
USE Gtk.Option_Menu;

PACKAGE Do_Scheduling_Feasibility_Pkg IS

   TYPE Do_Scheduling_Feasibility_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Do_Scheduling_Feasibility_Access IS ACCESS ALL Do_Scheduling_Feasibility_Record'Class;

   PROCEDURE Gtk_New (
         Do_Scheduling_Feasibility :    OUT Do_Scheduling_Feasibility_Access;
         Text                      : IN     Gtk_Text);
   PROCEDURE Initialize (
         Do_Scheduling_Feasibility : ACCESS Do_Scheduling_Feasibility_Record'Class;
         Text                      : IN     Gtk_Text);

   Do_Scheduling_Feasibility : Do_Scheduling_Feasibility_Access;

PRIVATE

   TYPE Do_Scheduling_Feasibility_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Do_Scheduling_Feasibility_Vbox : Gtk_Vbox;

         Value_Table : Gtk_Table;
         Lab         : Gtk_Label;

         Test1 : Gtk_Check_Button;
         Test2 : Gtk_Check_Button;

         Text : Gtk_Text;

         Processor_Menu           : Gtk_Option_Menu;
         Clist_Processor_Menu     : Widget_Slist.Gslist;
         Schedule_All_Processeurs : Gtk_Check_Button;

         Button_Hbox   : Gtk_Hbutton_Box;
         Ok_Button     : Gtk_Button;
         Cancel_Button : Gtk_Button;
         Hseparator    : Gtk_Hseparator;
      END RECORD;

END Do_Scheduling_Feasibility_Pkg;
