------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Gtk.Table;
USE Gtk.Table;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Check_Button;
USE Gtk.Check_Button;
WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Widget;
USE Gtk.Widget;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Gtk;
USE Gtk;
WITH Gtk.Alignment;
USE Gtk.Alignment;
WITH Project;
USE Project;
WITH Gtk.Option_Menu;
USE Gtk.Option_Menu;

WITH Editor_Config;
USE Editor_Config;


PACKAGE Do_Scheduling_Simulation_Pkg IS

   TYPE Do_Scheduling_Simulation_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Do_Scheduling_Simulation_Access IS ACCESS ALL Do_Scheduling_Simulation_Record'Class;


   TYPE Do_Scheduling_Callback_Type IS ACCESS PROCEDURE
   ;


   PROCEDURE Gtk_New (
         Do_Scheduling_Simulation :    OUT Do_Scheduling_Simulation_Access;
         Call                     :        Do_Scheduling_Callback_Type);
   PROCEDURE Initialize (
         Do_Scheduling_Simulation : ACCESS Do_Scheduling_Simulation_Record'Class;
         Call                     :        Do_Scheduling_Callback_Type);

   Do_Scheduling_Simulation : Do_Scheduling_Simulation_Access;

PRIVATE


   TYPE Check_Table IS ARRAY (Data_From_Simulation) OF Gtk_Check_Button;


   TYPE Do_Scheduling_Simulation_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Do_Scheduling_Simulation_Vbox : Gtk_Vbox;

         Call        : Do_Scheduling_Callback_Type;
         Value_Table : Gtk_Table;
         Label       : Gtk_Label;
         Align       : Gtk_Alignment;

         Context_Switch                   : Gtk_Check_Button;
         Number_Preemption                : Gtk_Check_Button;
         Event_Analyzer                   : Gtk_Check_Button;
         Schedule_And_Display_Event_Table : Gtk_Check_Button;
         Schedule_And_Export_Event_Table  : Gtk_Check_Button;
         Schedule_All_Processeurs         : Gtk_Check_Button;
         Read_From_File                   : Gtk_Button;
         Event_Table_File_Name            : Gtk.Gentry.Gtk_Entry;

         Blocking_Time : Check_Table;
         Response_Time : Check_Table;

         Button_Hbox   : Gtk_Hbox;
         Ok_Button     : Gtk_Button;
         Cancel_Button : Gtk_Button;
         Hseparator    : Gtk_Hseparator;

         Processor_Menu       : Gtk_Option_Menu;
         Clist_Processor_Menu : Widget_Slist.Gslist;
      END RECORD;

END Do_Scheduling_Simulation_Pkg;
