------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Widget;
USE Gtk.Widget;
WITH Gtk.Table;
USE Gtk.Table;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Option_Menu;
USE Gtk.Option_Menu;

WITH Systems;
USE Systems;


PACKAGE Duplicate_Pkg IS


   TYPE Duplicate_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Duplicate_Access IS ACCESS ALL Duplicate_Record'Class;

   PROCEDURE Gtk_New (
         Duplicate :    OUT Duplicate_Access);

   PROCEDURE Initialize (
         Duplicate : ACCESS Duplicate_Record'Class);

   Duplicate : Duplicate_Access;

PRIVATE

   TYPE Duplicate_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Table      : Gtk_Table;
         Hbox       : Gtk_Hbox;
         Hseparator : Gtk_Hseparator;
         Vseparator : Gtk_Vseparator;

         Object_Menu       : Gtk_Option_Menu;
         Clist_Object_Menu : Widget_Slist.Gslist;

         Object_Label : Gtk_Label;
         Old_Label    : Gtk_Label;
         New_Label    : Gtk_Label;

         New_Entry : Gtk_Entry;
         Old_Entry : Gtk_Entry;

         Cancel_Button    : Gtk_Button;
         Ok_Button        : Gtk_Button;
         Duplicate_Button : Gtk_Button;

         Sys : System;
      END RECORD;

END Duplicate_Pkg;
