------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Gtk.Table;
USE Gtk.Table;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Check_Button;
USE Gtk.Check_Button;
WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Widget;
USE Gtk.Widget;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk;
USE Gtk;
WITH Gtk.Alignment;
USE Gtk.Alignment;
WITH Gtk.Option_Menu;
USE Gtk.Option_Menu;
WITH Gtk.Text;
USE Gtk.Text;
WITH Systems;
USE Systems;
WITH Editor_Config;
USE Editor_Config;

PACKAGE Event_Table_Analysis_Pkg IS

   TYPE Event_Table_Analysis_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Event_Table_Analysis_Access IS ACCESS ALL Event_Table_Analysis_Record'Class;


   PROCEDURE Gtk_New (
         Event_Table_Analysis :    OUT Event_Table_Analysis_Access;
         Text                 :        Gtk_Text;
         Sys                  : IN     System);

   PROCEDURE Initialize (
         Event_Table_Analysis : ACCESS Event_Table_Analysis_Record'Class;
         Text                 :        Gtk_Text;
         Sys                  : IN     System);


   Event_Table_Analysis : Event_Table_Analysis_Access;



PRIVATE


   TYPE Check_Table IS ARRAY (Data_From_Simulation) OF Gtk_Check_Button;


   TYPE Event_Table_Analysis_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Event_Table_Analysis_Vbox : Gtk_Vbox;

         Value_Table : Gtk_Table;
         Label       : Gtk_Label;
         Align       : Gtk_Alignment;

         Context_Switch           : Gtk_Check_Button;
         Number_Preemption        : Gtk_Check_Button;
         Event_Analyzer           : Gtk_Check_Button;
         Schedule_All_Processeurs : Gtk_Check_Button;

         Blocking_Time : Check_Table;
         Response_Time : Check_Table;

         Button_Hbox   : Gtk_Hbox;
         Close_Button  : Gtk_Button;
         Cancel_Button : Gtk_Button;
         Hseparator    : Gtk_Hseparator;

         Processor_Menu       : Gtk_Option_Menu;
         Clist_Processor_Menu : Widget_Slist.Gslist;

         Vbox      : Gtk_Vbox;
         Hbox      : Gtk_Hbox;
         Separator : Gtk_Hseparator;

         Text : Gtk_Text;
      END RECORD;



END Event_Table_Analysis_Pkg;
