------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Gtk.File_Selection;
USE Gtk.File_Selection;
WITH Gtk.Button;
USE Gtk.Button;

WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;


GENERIC

   WITH PROCEDURE Ok_Pressed (
         File : IN     Unbounded_String);
   WITH PROCEDURE Cancel_Pressed;


PACKAGE Generic_Select_File_Pkg IS


   TYPE Generic_Select_File_Record IS NEW Gtk_File_Selection_Record WITH PRIVATE;
   TYPE Generic_Select_File_Access IS ACCESS ALL Generic_Select_File_Record'Class;



   PROCEDURE Gtk_New (
         Generic_Select_File :    OUT Generic_Select_File_Access;
         Title               : IN     Unbounded_String);
   PROCEDURE Initialize (
         Generic_Select_File : ACCESS Generic_Select_File_Record'Class;
         Title               : IN     Unbounded_String);


   Generic_Select_File : Generic_Select_File_Access;


PRIVATE

   PROCEDURE On_Ok_Pressed (
         Object : ACCESS Gtk_Button_Record'Class);
   PROCEDURE On_Cancel_Pressed (
         Object : ACCESS Gtk_Button_Record'Class);


   TYPE Generic_Select_File_Record IS NEW Gtk_File_Selection_Record WITH
      RECORD
         Ok_Button     : Gtk_Button;
         Cancel_Button : Gtk_Button;
      END RECORD;

END Generic_Select_File_Pkg;
