------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;

WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Alignment;
USE Gtk.Alignment;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;



PACKAGE Message_Pkg IS

   TYPE Message_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Message_Access IS ACCESS ALL Message_Record'Class;

   PROCEDURE Gtk_New (
         Message :    OUT Message_Access;
         Msg     : IN     Unbounded_String);
   PROCEDURE Initialize (
         Message : ACCESS Message_Record'Class;
         Msg     : IN     Unbounded_String);

   Message : Message_Access;


PRIVATE

   TYPE Message_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Alignment : Gtk_Alignment;
         Vbox      : Gtk_Vbox;
         Msg       : Gtk_Label;
         Separator : Gtk_Hseparator;
         Hbox      : Gtk_Hbox;
         Button    : Gtk_Button;
      END RECORD;

END Message_Pkg;
