------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Glib;
USE Glib;
WITH Gtk;
USE Gtk;
WITH Gtk.Widget;
USE Gtk.Widget;
WITH Gtk.Option_Menu;
USE Gtk.Option_Menu;

WITH Callbacks_Cheddar;
USE Callbacks_Cheddar;

WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;
WITH Unbounded_Strings;
USE  Unbounded_Strings;
USE  Unbounded_Strings.Strings_Table_Package;

PACKAGE Mmi_Tools  IS

   TYPE String_Access IS ACCESS String;

   TYPE Text_Colors_Type IS
      RECORD
         Red,
         Green,
         Blue  : Gushort;
         Name  : String_Access;
      END RECORD;
   TYPE Text_Colors_Type_Array IS ARRAY (Natural RANGE <>) OF Text_Colors_Type;

   Text_Colors : CONSTANT Text_Colors_Type_Array := ((16#0#, 16#0#, 16#0#,
   NEW String'("black")),
      (16#FFFF#, 16#FFFF#, 16#FFFF#, NEW String'("white")),
      (16#FFFF#, 16#0#,    16#0#,    NEW String'("red")),
      (16#0#,    16#FFFF#, 16#0#,    NEW String'("green")),
      (16#0#,    16#0#,    16#FFFF#, NEW String'("blue")),
      (16#0#,    16#FFFF#, 16#FFFF#, NEW String'("cyan")),
      (16#FFFF#, 16#0#,    16#FFFF#, NEW String'("magenta")),
      (16#FFFF#, 16#FFFF#, 16#0#,    NEW String'("yellow")));



   PROCEDURE Build_Global_Scheduler_Table_Name (
         Items : IN OUT Strings_Table);

   PROCEDURE Build_Local_Scheduler_Table_Name (
         Items : IN OUT Strings_Table);



   PROCEDURE Show_Message_Box (
         Msg : Unbounded_String);

   PROCEDURE Show_Message_Box (
         Msg : String);


   PROCEDURE Build_Option_Menu (
         Omenu   :    OUT Gtk.Option_Menu.Gtk_Option_Menu;
         Gr      :    OUT Widget_Slist.Gslist;
         Items   :        Strings_Table;
         History :        Gint;
         Cb      :        Widget_Handler.Marshallers.Void_Marshaller.Handler);



END Mmi_Tools;


