------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Gtk.Combo;
USE Gtk.Combo;
WITH Gtk.Enums;
USE Gtk.Enums;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Table;
USE Gtk.Table;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Option_Menu;
USE Gtk.Option_Menu;
WITH Gtk.Widget;
USE Gtk.Widget;

WITH Network_Set;
USE Network_Set;
USE Network_Set.Generic_Network_Set;

WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;



PACKAGE Networks_Parameters_Pkg IS

   TYPE Networks_Parameters_Record IS NEW Gtk_Window_Record WITH PRIVATE;

   TYPE Networks_Parameters_Access IS ACCESS ALL Networks_Parameters_Record'Class;

   PROCEDURE Gtk_New (
         Networks_Parameters :    OUT Networks_Parameters_Access);

   PROCEDURE Initialize (
         Networks_Parameters : ACCESS Networks_Parameters_Record'Class);

   Networks_Parameters : Networks_Parameters_Access;

PRIVATE
   TYPE Networks_Parameters_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Name_Label : Gtk.Label.Gtk_Label;
         Type_Label : Gtk.Label.Gtk_Label;
         File_Label : Gtk.Label.Gtk_Label;

         Networks_Name : Gtk.Gentry.Gtk_Entry;
         Networks_Type : Gtk.Combo.Gtk_Combo;

         Vbox_Main       : Gtk.Box.Gtk_Box;
         Hbox_Add_Cancel : Gtk.Box.Gtk_Box;
         Hbox_Name_Type  : Gtk.Box.Gtk_Box;
         Hbox_File       : Gtk.Box.Gtk_Box;

         Table_Name_Type : Gtk.Table.Gtk_Table;
         Table_File      : Gtk.Table.Gtk_Table;

         Type_Items : String_List.Glist;

         Add_Button    : Gtk.Button.Gtk_Button;
         Cancel_Button : Gtk.Button.Gtk_Button;
         Close_Button  : Gtk.Button.Gtk_Button;
         Read_Button   : Gtk.Button.Gtk_Button;

         Clist_Scheduler_Menu : Widget_Slist.Gslist;
         Scheduler_Menu       : Gtk_Option_Menu;

         File_Name       : Unbounded_String;
         Entry_File_Name : Gtk_Entry;

         Undo_Networks : Networks_Set;
      END RECORD;

END Networks_Parameters_Pkg;





