------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;
WITH Generic_Select_File_Pkg;



PACKAGE Open_File_Selection_Pkg IS



   PROCEDURE Open_File_Ok_Pressed (
         File : IN     Unbounded_String);

   PROCEDURE Open_File_Cancel_Pressed;

   PROCEDURE Open_File_Initialize;


   PACKAGE Open_Select_File_Pkg IS NEW Generic_Select_File_Pkg(
      Open_File_Ok_Pressed, Open_File_Cancel_Pressed);
   USE Open_Select_File_Pkg;



END Open_File_Selection_Pkg;
