------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Gtk.Arguments;
WITH Gtk.Widget;
USE Gtk.Widget;

PACKAGE Root_Window_Pkg.Callbacks IS


   PROCEDURE Clear_Work_Space;

   PROCEDURE Check_Buffer;

   FUNCTION On_Root_Window_Delete_Event (
         Object : ACCESS Gtk_Widget_Record'Class;
         Params :        Gtk.Arguments.Gtk_Args)
     RETURN Boolean;

   PROCEDURE On_File_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_New_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Open_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Save_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Save_As_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Exit_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Add_Task_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Add_Processor_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Add_Network_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Add_Resource_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Add_Message_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Add_Buffer_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Update_Task_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Update_Processor_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Update_Resource_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Update_Network_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Delete_Task_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Delete_Processor_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Delete_Resource_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);


   PROCEDURE On_Tasks_List_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Processors_List_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Message_List_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Network_List_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Buffer_List_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Tools_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Clear_Work_Space_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Draw_Scheduling_Graph_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Check_Scheduling_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Check_Buffer_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Draw_Buffer_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Options_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Dm_Priorities_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Rm_Priorities_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Help_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_About_Cheddar_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Manual_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Bibliography_References_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Pixmap_New_Clicked (
         Object : ACCESS Gtk_Toolbar_Record'Class);

   PROCEDURE On_Pixmap_Open_Clicked (
         Object : ACCESS Gtk_Toolbar_Record'Class);

   PROCEDURE On_Pixmap_Save_Clicked (
         Object : ACCESS Gtk_Toolbar_Record'Class);

   PROCEDURE On_Pixmap_Save_As_Clicked (
         Object : ACCESS Gtk_Toolbar_Record'Class);

   PROCEDURE On_Pixmap_Exit_Clicked (
         Object : ACCESS Gtk_Toolbar_Record'Class);

   PROCEDURE On_Pixmap_Clear_Work_Space_Clicked (
         Object : ACCESS Gtk_Toolbar_Record'Class);

   PROCEDURE On_Pixmap_Dependencies_Clicked (
         Object : ACCESS Gtk_Toolbar_Record'Class);

   PROCEDURE On_Pixmap_Check_Scheduling_Clicked (
         Object : ACCESS Gtk_Toolbar_Record'Class);

   PROCEDURE On_Pixmap_Draw_Scheduling_Clicked (
         Object : ACCESS Gtk_Toolbar_Record'Class);

   PROCEDURE On_Resource_List_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Delete_Message_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Delete_Network_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Delete_Buffer_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Update_Message_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Update_Buffer_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);


   PROCEDURE On_Blocking_Time_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Blocking_Time_Display_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Blocking_Time_Update_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Priority_Inversion_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Deadlock_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Chetto_Priority_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Chetto_Priority_Display_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Chetto_Priority_Update_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Chetto_Deadline_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Chetto_Deadline_Display_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Chetto_Deadline_Update_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Jitter_From_Response_Time_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Jitter_From_Response_Time_Display_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Jitter_From_Response_Time_Update_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Jitter_From_Response_Time_Display_One_Step_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Jitter_From_Response_Time_Update_One_Step_Callback (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Duplicate_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Compute_Response_Time_Density_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Add_Event_Analyzer_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Update_Event_Analyzer_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Delete_Event_Analyzer_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Event_Analyzer_List_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Partition_Small_Task_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Partition_Best_Fit_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Partition_Next_Fit_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Partition_First_Fit_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Partition_General_Task_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Load_Event_Table_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Save_Event_Table_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Event_Table_Services_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Compute_Scheduling_And_Generate_Event_Table_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Run_Analysis_On_Event_Table_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Draw_Time_Line_From_Event_Table_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Add_Address_Space_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Update_Address_Space_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Delete_Address_Space_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Address_Spaces_List_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Aadl_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Export_Aadl_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Import_Aadl_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Export_Cheddar_Property_Sets_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Export_Aadl_Standard_Properties_Set_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Aadl_Options_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Check_Address_Space_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);

   PROCEDURE On_Check_And_Update_Address_Space_Activate (
         Object : ACCESS Gtk_Menu_Item_Record'Class);




END Root_Window_Pkg.Callbacks;



