------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Text;
USE Gtk.Text;
WITH Draw_Scheduling_Pkg;
USE Draw_Scheduling_Pkg;


WITH Systems;
USE Systems;




PACKAGE Schedule_From_To_Pkg IS


   TYPE Schedule_From_To_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Schedule_From_To_Access IS ACCESS ALL Schedule_From_To_Record'Class;

   PROCEDURE Gtk_New (
         Schedule_From_To      :    OUT Schedule_From_To_Access;
         Text                  :        Gtk_Text;
         Draw_Scheduling       :        Draw_Scheduling_Access;
         Sys                   : IN     System;
         Customized_Simulation :        Boolean                 := False);

   PROCEDURE Initialize (
         Schedule_From_To      : ACCESS Schedule_From_To_Record'Class;
         Text                  :        Gtk_Text;
         Draw_Scheduling       :        Draw_Scheduling_Access;
         Sys                   : IN     System;
         Customized_Simulation :        Boolean                       := False);


   Schedule_From_To : Schedule_From_To_Access;

PRIVATE

   TYPE Schedule_From_To_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Vbox      : Gtk_Vbox;
         Hbox      : Gtk_Hbox;
         Separator : Gtk_Hseparator;

         Customized_Simulation : Boolean;

         Schedule_From_To_Label : Gtk_Label;
         Draw_From_Entry        : Gtk_Entry;
         Draw_Upto_Entry        : Gtk_Entry;
         Schedule_To_Entry      : Gtk_Entry;

         Cancel_Button : Gtk_Button;
         Ok_Button     : Gtk_Button;

         Text            : Gtk_Text;
         Draw_Scheduling : Draw_Scheduling_Access;
      END RECORD;

END Schedule_From_To_Pkg;
