------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

WITH Gdk.Bitmap;
USE Gdk.Bitmap;
WITH Gdk.Pixmap;
USE Gdk.Pixmap;
WITH Gtk.Table;
USE Gtk.Table;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Check_Button;
USE Gtk.Check_Button;
WITH Gtk.Radio_Button;
USE Gtk.Radio_Button;
WITH Gtk.Hbutton_Box;
USE Gtk.Hbutton_Box;
WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Widget;
USE Gtk.Widget;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Gtk.Frame;
USE Gtk.Frame;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Notebook;
USE Gtk.Notebook;
WITH Gtk.Pixmap;
USE Gtk.Pixmap;

WITH Time_Units;
USE Time_Units;
WITH Events;
USE Events;


PACKAGE Scheduling_Options_Pkg IS

   TYPE Scheduling_Options_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Scheduling_Options_Access IS ACCESS ALL Scheduling_Options_Record'Class;

   PROCEDURE Gtk_New (
         Scheduling_Options :    OUT Scheduling_Options_Access);
   PROCEDURE Initialize (
         Scheduling_Options : ACCESS Scheduling_Options_Record'Class);

   Scheduling_Options : Scheduling_Options_Access;

   TYPE Event_Check_Button_Table IS ARRAY (Time_Unit_Event_Type'Range) OF Gtk_Check_Button;


PRIVATE


   TYPE Scheduling_Options_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Options_Vbox : Gtk_Vbox;

         Value_Table       : Gtk_Table;
         Label             : Gtk_Label;
         Label_Seed        : Gtk_Label;
         With_Resources    : Gtk_Check_Button;
         With_Precedencies : Gtk_Check_Button;
         With_Offsets      : Gtk_Check_Button;

         Event_Check_Button : Event_Check_Button_Table;

         Seed_Group         : Widget_Slist.Gslist;
         Seed_Task          : Gtk_Radio_Button;
         Seed_Predictable   : Gtk_Radio_Button;
         Seed_Entry         : Gtk_Gentry;
         Seed_Button        : Gtk_Button;
         Seed_Unpredictable : Gtk_Radio_Button;
         Hbox_Seed          : Gtk_Hbox;

         Button_Hbox   : Gtk_Hbutton_Box;
         Ok_Button     : Gtk_Button;
         Cancel_Button : Gtk_Button;
         Hseparator    : Gtk_Hseparator;

         Main_Frame : Gtk_Frame;
         Child_Page : Gtk_Frame;
         Label_Box  : Gtk_Box;
         Menu_Box   : Gtk_Box;
         Pixmap     : Gtk_Pixmap;
         Lab        : Gtk_Label;

         Book_Opened      : Gdk_Pixmap;
         Book_Opened_Mask : Gdk_Bitmap;
         Book_Closed      : Gdk_Pixmap;
         Book_Closed_Mask : Gdk_Bitmap;
         Notebook         : Gtk_Notebook;
      END RECORD;

END Scheduling_Options_Pkg;
