------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Alignment;
USE Gtk.Alignment;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Scrolled_Window;
USE Gtk.Scrolled_Window;
WITH Gtk;
USE Gtk;

WITH Draw_Buffer_Pkg;
USE Draw_Buffer_Pkg;
WITH Buffers;
USE Buffers;
WITH Scheduling_Sequences;
USE Scheduling_Sequences;
USE Scheduling_Sequences.Buffer_Size_Package;
WITH Time_Units;
USE Time_Units;



PACKAGE Scrolling_Draw_Buffer_Pkg IS


   TYPE Scrolling_Draw_Buffer_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Scrolling_Draw_Buffer_Access IS ACCESS ALL Scrolling_Draw_Buffer_Record'Class;



   PROCEDURE Gtk_New (
         Scrolling_Draw_Buffer :    OUT Scrolling_Draw_Buffer_Access;
         Name                  :        String);
   PROCEDURE Initialize (
         Scrolling_Draw_Buffer : ACCESS Scrolling_Draw_Buffer_Record'Class;
         Name                  :        String);
   PROCEDURE Clear (
         Scrolling_Draw_Buffer : ACCESS Scrolling_Draw_Buffer_Record'Class);
   PROCEDURE Draw (
         Scrolling_Draw_Buffer : ACCESS Scrolling_Draw_Buffer_Record'Class;
         Buff                  :        Buffer_Ptr;
         Buff1                 :        Buffer_Size_Table;
         Last_Time_Unit1       :        Natural;
         Time_Unit_Number1     :        Time_Unit_Range);



   Scrolling_Draw_Buffer : Scrolling_Draw_Buffer_Access;


PRIVATE

   TYPE Scrolling_Draw_Buffer_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Alignment      : Gtk_Alignment;
         Vbox           : Gtk_Vbox;
         Vbox2          : Gtk_Vbox;
         Separator      : Gtk_Hseparator;
         Hbox           : Gtk_Hbox;
         Scrolledwindow : Gtk_Scrolled_Window;

         Dbuffer : Draw_Buffer_Access;

         Button : Gtk_Button;
      END RECORD;

END Scrolling_Draw_Buffer_Pkg;



