------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;


WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Alignment;
USE Gtk.Alignment;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Scrolled_Window;
USE Gtk.Scrolled_Window;
WITH Gtk.Text;
USE Gtk.Text;
WITH Gdk.Color;
USE Gdk.Color;
WITH Gdk.Font;
USE Gdk.Font;




PACKAGE Scrolling_Text_Pkg IS

   TYPE Scrolling_Text_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Scrolling_Text_Access IS ACCESS ALL Scrolling_Text_Record'Class;



   PROCEDURE Gtk_New (
         Scrolling_Text :    OUT Scrolling_Text_Access;
         Title          : IN     Unbounded_String);

   PROCEDURE Initialize (
         Scrolling_Text : ACCESS Scrolling_Text_Record'Class;
         Title          : IN     Unbounded_String);


   PROCEDURE Write_Text (
         Scrolling_Text : IN     Scrolling_Text_Access;
         Msg            : IN     Unbounded_String);
   PROCEDURE Write_Title (
         Scrolling_Text : IN     Scrolling_Text_Access;
         Msg            : IN     Unbounded_String);
   PROCEDURE Write_Title_Small (
         Scrolling_Text : IN     Scrolling_Text_Access;
         Msg            : IN     Unbounded_String);




   Scrolling_Text : Scrolling_Text_Access;


PRIVATE

   TYPE Scrolling_Text_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Alignment      : Gtk_Alignment;
         Vbox           : Gtk_Vbox;
         Separator      : Gtk_Hseparator;
         Hbox           : Gtk_Hbox;
         Scrolledwindow : Gtk_Scrolled_Window;
         Text           : Gtk_Text;
         Vseparator1    : Gtk_Vseparator;

         Ok_Button : Gtk_Button;

         Font_R  : Gdk_Font;
         Font_B  : Gdk_Font;
         Font_Bs : Gdk_Font;
         Red     : Gdk_Color;
         Black   : Gdk_Color;
      END RECORD;




END Scrolling_Text_Pkg;
