------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Gtk.Option_Menu;
USE Gtk.Option_Menu;
WITH Gtk.Widget;
USE Gtk.Widget;


WITH Parameters;
USE Parameters;
WITH Task_Offsets;
USE Task_Offsets;



PACKAGE Tasks_Widget_Pkg IS


   TYPE Parameter_Record IS
      RECORD
         Entry_Name           : Gtk_Entry;
         Entry_Value          : Gtk_Entry;
         Entry_Type           : Gtk_Entry;
         Parameter_Menu       : Gtk_Option_Menu;
         Clist_Parameter_Menu : Widget_Slist.Gslist;
      END RECORD;

   TYPE Widget_Parameter_Table IS ARRAY (User_Defined_Parameters_Range) OF Parameter_Record;


   TYPE Offset_Record IS
      RECORD
         Entry_Val : Gtk_Entry;
         Entry_Act : Gtk_Entry;
      END RECORD;

   TYPE Widget_Offset_Table IS ARRAY (Offsets_Range) OF Offset_Record;



END Tasks_Widget_Pkg;



