------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Gtk;
USE Gtk;
WITH Gtk.Text;
USE Gtk.Text;
WITH Gdk.Font;
USE Gdk.Font;
WITH Gdk.Color;
USE Gdk.Color;

WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;
WITH Unbounded_Strings;
USE  Unbounded_Strings;
USE  Unbounded_Strings.Strings_Table_Package;

WITH Call_Framework;
USE Call_Framework;
USE Call_Framework.Framework_Request_Package;
USE Call_Framework.Framework_Response_Package;


PACKAGE Text_Tools  IS



   PROCEDURE Initialize;


   PROCEDURE Write_Text (
         A_Text : IN     Gtk_Text;
         Msg    :        Unbounded_String);



   PROCEDURE Write_Title (
         A_Text : IN     Gtk_Text;
         Msg    :        Unbounded_String);



   PROCEDURE Write_Title_And_Text (
         A_Text        : IN     Gtk_Text;
         Response_List : IN     Framework_Response_Table);




PRIVATE

   Font_R : Gdk_Font;
   Font_B : Gdk_Font;
   Red    : Gdk_Color;
   Black  : Gdk_Color;


END Text_Tools;


