------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Gtk.Enums;
USE Gtk.Enums;
WITH Gtk.Frame;
USE Gtk.Frame;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Pixmap;
USE Gtk.Pixmap;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk;
USE Gtk;

WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Table;
USE Gtk.Table;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Hbutton_Box;
USE Gtk.Hbutton_Box;
WITH Gtk.Scrolled_Window;
USE Gtk.Scrolled_Window;
WITH Gtk.Option_Menu;
USE Gtk.Option_Menu;
WITH Gtk.Widget;
USE Gtk.Widget;
WITH Address_Space_Set;
USE Address_Space_Set;
USE Address_Space_Set.Generic_Address_Space_Set;
WITH Processor_Set;
USE Processor_Set;
USE Processor_Set.Generic_Processor_Set;

WITH Gtk.Clist;
USE Gtk.Clist;
WITH Gtkada.Types;
USE Gtkada.Types;
WITH Gtk.Frame;
USE Gtk.Frame;
WITH Gtk.Scrolled_Window;
USE Gtk.Scrolled_Window;
WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;
WITH Gtk.Enums;
USE Gtk.Enums;
WITH Gtk.Check_Button;
USE Gtk.Check_Button;

WITH Systems;
USE Systems;


PACKAGE Update_Address_Spaces_Set_Pkg IS

   TYPE Update_Address_Spaces_Set_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Update_Address_Spaces_Set_Access IS ACCESS ALL Update_Address_Spaces_Set_Record'Class;

   PROCEDURE Gtk_New (
         Update_Address_Spaces_Set :    OUT Update_Address_Spaces_Set_Access;
         Title                     : IN     Unbounded_String);
   PROCEDURE Initialize (
         Update_Address_Spaces_Set : ACCESS Update_Address_Spaces_Set_Record'Class;
         Title                     : IN     Unbounded_String);
   PROCEDURE Show_Advanced (
         Update_Address_Spaces_Set : IN     Update_Address_Spaces_Set_Access;
         Advanced                  : IN     Boolean);

   Update_Address_Spaces_Set : Update_Address_Spaces_Set_Access;
   Parent                    : Unbounded_String;


PRIVATE

   TYPE Update_Address_Spaces_Set_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Scroll : Gtk_Scrolled_Window;

         Address_Spaces_List           : Gtk.Clist.Gtk_Clist;
         Address_Space_Type_Menu       : Gtk_Option_Menu;
         Clist_Address_Space_Type_Menu : Widget_Slist.Gslist;
         Processor_Menu                : Gtk_Option_Menu;
         Clist_Processor_Menu          : Widget_Slist.Gslist;
         Address_Space_Items           : String_List.Glist;

         Current_Address_Space : Unbounded_String;

         Scheduler_Menu       : Gtk_Option_Menu;
         Clist_Scheduler_Menu : Widget_Slist.Gslist;

         Quantum           : Gtk_Entry;
         Name              : Gtk_Entry;
         Option            : Gtk_Check_Button;
         File_Name         : Gtk_Entry;
         Text_Memory_Size  : Gtk_Entry;
         Stack_Memory_Size : Gtk_Entry;
         Data_Memory_Size  : Gtk_Entry;
         Heap_Memory_Size  : Gtk_Entry;

         Lab : Gtk_Label;

         Frame_Address_Space : Gtk.Frame.Gtk_Frame;
         Address_Space_Table : Gtk.Table.Gtk_Table;

         Vbox_Main          : Gtk.Box.Gtk_Box;
         Hbox_Address_Space : Gtk.Box.Gtk_Box;
         Hbox_Confirm       : Gtk.Box.Gtk_Box;
         Vbox_List          : Gtk.Box.Gtk_Box;
         Hbox_Modify        : Gtk.Box.Gtk_Box;
         Vbox_Update        : Gtk.Box.Gtk_Box;

         Hbutton_Box_Modify : Gtk_Hbutton_Box;

         Modify_Button   : Gtk_Button;
         Advanced_Button : Gtk_Button;
         Close_Button    : Gtk_Button;
         Cancel_Button   : Gtk_Button;
         Add_Button      : Gtk_Button;
         Delete_Button   : Gtk_Button;
         Read_Button     : Gtk_Button;

         Hseparator1 : Gtk_Hseparator;
         Vseparator  : Gtk_Vseparator;
         Vseparator2 : Gtk_Vseparator;

         Child_Page : Gtk_Frame;
         Label_Box  : Gtk_Box;
         Menu_Box   : Gtk_Box;
         Pixmap     : Gtk_Pixmap;
         Vbox       : Gtk_Box;
         Button     : Gtk_Button;

         Undo : System;

         Scroll_List : Gtk_Scrolled_Window;
         List_Titles : Chars_Ptr_Array (1 .. 6);

         Advanced : Boolean := False;
      END RECORD;



END Update_Address_Spaces_Set_Pkg;
