------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Gtk.Frame;
USE Gtk.Frame;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk;
USE Gtk;
WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Table;
USE Gtk.Table;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Gentry;
USE Gtk.Gentry;
WITH Gtk.Separator;
USE Gtk.Separator;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Box;
USE Gtk.Box;
WITH Gtk.Hbutton_Box;
USE Gtk.Hbutton_Box;
WITH Gtk.Scrolled_Window;
USE Gtk.Scrolled_Window;
WITH Gtk.Clist;
USE Gtk.Clist;

WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;

WITH Event_Analyzer_Set;
USE Event_Analyzer_Set;
USE Event_Analyzer_Set.Generic_Event_Analyzer_Set;

WITH Systems;
USE Systems;


PACKAGE Update_Event_Analyzers_Set_Pkg IS

   TYPE Update_Event_Analyzers_Set_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Update_Event_Analyzers_Set_Access IS ACCESS ALL Update_Event_Analyzers_Set_Record'Class;

   PROCEDURE Gtk_New (
         Update_Event_Analyzers_Set :    OUT Update_Event_Analyzers_Set_Access;
         Title                      :        Unbounded_String);
   PROCEDURE Initialize (
         Update_Event_Analyzers_Set : ACCESS Update_Event_Analyzers_Set_Record'Class;
         Title                      :        Unbounded_String);
   PROCEDURE Show_Advanced (
         Update_Event_Analyzers_Set : IN     Update_Event_Analyzers_Set_Access;
         Advanced                   : IN     Boolean);

   Update_Event_Analyzers_Set : Update_Event_Analyzers_Set_Access;
   Parent                     : Unbounded_String;


PRIVATE

   TYPE Update_Event_Analyzers_Set_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Scroll               : Gtk_Scrolled_Window;
         Event_Analyzers_List : Gtk.Clist.Gtk_Clist;

         Frame_Event_Analyzer : Gtk.Frame.Gtk_Frame;

         Table : Gtk_Table;

         Vbox_Main          : Gtk.Box.Gtk_Box;
         Hbox               : Gtk.Box.Gtk_Box;
         Hbox_Event         : Gtk.Box.Gtk_Box;
         Hbox_Confirm       : Gtk.Box.Gtk_Box;
         Vbox_List          : Gtk.Box.Gtk_Box;
         Vbox_Update        : Gtk.Box.Gtk_Box;
         Hbox_File          : Gtk.Box.Gtk_Box;
         Hbutton_Box_Modify : Gtk_Hbutton_Box;

         Advanced_Button : Gtk_Button;
         Close_Button    : Gtk_Button;
         Modify_Button   : Gtk_Button;
         Cancel_Button   : Gtk_Button;
         Add_Button      : Gtk_Button;
         Delete_Button   : Gtk_Button;

         Hseparator1 : Gtk_Hseparator;
         Vseparator  : Gtk_Vseparator;
         Vseparator2 : Gtk_Vseparator;

         Read_From_File_Behavior : Gtk_Button;
         Entry_File_Name         : Gtk_Entry;

         Label_Box : Gtk_Box;
         Menu_Box  : Gtk_Box;
         Vbox      : Gtk_Box;
         Button    : Gtk_Button;
         Lab       : Gtk_Label;

         Undo                   : System;
         Current_Event_Analyzer : Unbounded_String;

         Scroll_List : Gtk_Scrolled_Window;

         Advanced : Boolean := False;
      END RECORD;



END Update_Event_Analyzers_Set_Pkg;
