------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Gtk.Window;
USE Gtk.Window;
WITH Gtk.Combo;
USE Gtk.Combo;
WITH Gtk.Enums;
USE Gtk.Enums;
WITH Gtk.Button;
USE Gtk.Button;
WITH Gtk.Label;
USE Gtk.Label;
WITH Gtk.Table;
USE Gtk.Table;
WITH Gtk.Box;
USE Gtk.Box;

WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;

WITH Gtk.Radio_Button;
USE Gtk.Radio_Button;


WITH Systems;
USE Systems;


PACKAGE Update_Networks_Set_Pkg IS

   TYPE Update_Networks_Set_Record IS NEW Gtk_Window_Record WITH PRIVATE;
   TYPE Update_Networks_Set_Access IS ACCESS ALL Update_Networks_Set_Record'Class;

   PROCEDURE Gtk_New (
         Update_Networks_Set :    OUT Update_Networks_Set_Access);

   PROCEDURE Initialize (
         Update_Networks_Set : ACCESS Update_Networks_Set_Record'Class);

   Update_Networks_Set : Update_Networks_Set_Access;


PRIVATE

   TYPE Update_Networks_Set_Record IS NEW Gtk_Window_Record WITH
      RECORD
         Name_Label : Gtk.Label.Gtk_Label;
         Type_Label : Gtk.Label.Gtk_Label;

         Name : Gtk.Combo.Gtk_Combo;

         Network_Menu : String_List.Glist;

         Vbox_Main       : Gtk.Box.Gtk_Box;
         Hbox_Add_Cancel : Gtk.Box.Gtk_Box;
         Hbox_Name_Type  : Gtk.Box.Gtk_Box;

         Button_Bounded_Delay    : Gtk_Radio_Button;
         Button_Parametric_Delay : Gtk_Radio_Button;

         Table_Name_Type : Gtk.Table.Gtk_Table;

         Type_Items : String_List.Glist;

         Modify_Button : Gtk.Button.Gtk_Button;
         Cancel_Button : Gtk.Button.Gtk_Button;

         Last_Network_Selected : Unbounded_String;
         Undo                  : System;
      END RECORD;

END Update_Networks_Set_Pkg;




