------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



PACKAGE BODY Binary_Trees IS


   FUNCTION Get_Left (
         L : IN     Binary_Tree)
     RETURN Binary_Tree IS
   BEGIN
      IF L=NULL THEN
         RAISE No_Cell;
      END IF;

      RETURN L.Left;
   END Get_Left;
   FUNCTION Get_Right (
         L : IN     Binary_Tree)
     RETURN Binary_Tree IS
   BEGIN
      IF L=NULL THEN
         RAISE No_Cell;
      END IF;

      RETURN L.Right;
   END Get_Right;

   PROCEDURE Add_Right (
         L : IN OUT Binary_Tree;
         E : IN     Element) IS

      New_Cell : Binary_Tree;

   BEGIN
      New_Cell:=NEW Cell;
      New_Cell.Info:=E;
      IF L=NULL
            THEN
         L:=New_Cell;
      ELSE
         L.Right:=New_Cell;
      END IF;
   END Add_Right;


   PROCEDURE Add_Left (
         L : IN OUT Binary_Tree;
         E : IN     Element) IS

      New_Cell : Binary_Tree;

   BEGIN
      New_Cell:=NEW Cell;
      New_Cell.Info:=E;
      IF L=NULL
            THEN
         L:=New_Cell;
      ELSE
         L.Left:=New_Cell;
      END IF;
   END Add_Left ;


   PROCEDURE Put (
         L : IN     Binary_Tree) IS

   BEGIN
      Put(L.Info);

      IF(L.Left /= NULL)
            THEN
         Put(L.Left);
      END IF;
      IF(L.Right /= NULL)
            THEN
         Put(L.Right);
      END IF;
   END Put;


   PROCEDURE Delete (
         L : IN OUT Binary_Tree;
         E : IN     Element) IS

      --current : binary_tree := l;
      --previous : binary_tree;

   BEGIN
      NULL;
      --	while current/=null loop
      --		if current.info=e
      --			then 	if (previous=null)
      --					then 	l:=current.left;
      --					else 	previous.left:=current.left;
      --				end if;	
      --			exit;
      --			else 	previous:=current;
      --			     	current:=current.left;
      --		end if;
      --	end loop;
   END Delete;


   PROCEDURE Duplicate (
         Src  : IN     Binary_Tree;
         Dest : IN OUT Binary_Tree) IS

      --current : binary_tree := src;
      --previous, new_tree : binary_tree;

   BEGIN
      --        while current/=null loop

      --		new_tree:=new cell;
      --		new_tree.all:=current.all;

      --		if(previous/=null)
      --			then
      --				new_tree.left:=previous;
      --			else 	dest:=new_tree;
      --		end if;

      --		current:=current.left;
      --		previous:=new_tree;
      --	end loop;
      NULL;
   END Duplicate;



END Binary_Trees;



