------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Text_Io;
USE Text_Io;

WITH Real_Util;

PACKAGE BODY Float_Util IS

   PACKAGE Float_Io IS NEW Text_Io.Float_Io(Float);
   PACKAGE Float_Real  IS NEW Real_Util(Float);


   FUNCTION Format (
         F     : IN     Float;
         After : IN     Integer := 5)
     RETURN Unbounded_String IS
   BEGIN
      RETURN Float_Real.Format(F, After);
   END Format;




   PROCEDURE Initialize (
         F :    OUT Float) IS
   BEGIN
      F:=0.0;
   END Initialize;

   PROCEDURE Put (
         F : IN     Float) IS
   BEGIN
      Float_Io.Put(F,5);
   END Put;

   PROCEDURE Put_Line (
         F : IN     Float) IS
   BEGIN
      Float_Io.Put(F,5);
      New_Line;
   END Put_Line;

   FUNCTION Equal (
         Num1,
         Num2     : IN     Float;
         Accuracy : IN     Integer := 10000)
     RETURN Boolean IS

   BEGIN
      RETURN Float_Real.Equal(Num1,Num2,Accuracy);
   END Equal;

END Float_Util;
