------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;



PACKAGE Integer_Util IS


   -- Conver and format a natural to
   -- an unbounded_string
   --
   FUNCTION Format (
         F : IN     Integer)
     RETURN Unbounded_String;


   -- Display a natural
   --
   PROCEDURE Put (
         E : IN     Integer);
   PROCEDURE Put_Line (
         E : IN     Integer);


   -- Initialize a natural
   --
   PROCEDURE Initialize (
         A :    OUT Integer);


   -- Compute Great common Divisor
   -- of two natural
   --
   FUNCTION Gcd (
         A : IN     Integer;
         B : IN     Integer)
     RETURN Integer;


   -- Compute Last common multiplier
   -- of two natural
   --
   FUNCTION Lcm (
         A : IN     Integer;
         B : IN     Integer)
     RETURN Integer;

END Integer_Util;


