------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



WITH Ada.Strings;
USE Ada.Strings;
WITH Ada.Strings.Maps.Constants;
WITH Ada.Strings.Fixed;
USE Ada.Strings.Fixed;




PACKAGE BODY Strings IS




   FUNCTION To_Upper (
         S : String)
     RETURN String IS
   BEGIN
      RETURN Translate(S,
         Ada.Strings.Maps.Constants.Upper_Case_Map);
   END To_Upper;



   FUNCTION To_Lower (
         S : String)
     RETURN String IS
   BEGIN
      RETURN Translate(S,
         Ada.Strings.Maps.Constants.Lower_Case_Map);
   END To_Lower;




   PROCEDURE To_Double (
         From : IN     String;
         To   :    OUT Double;
         Ok   :    OUT Boolean) IS
   BEGIN
      To:=Double'Value(From);
      Ok:=True;
   EXCEPTION
      WHEN Constraint_Error =>
         To:=0.0;
         Ok:=False;
   END  To_Double;






END Strings;
