------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2007   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Ada.Numerics.Aux;
USE Ada.Numerics.Aux;

WITH Convert_Strings;




PACKAGE Strings IS



   ------------------------------------------------------
   -- Convert strings to standard numeric types
   ------------------------------------------------------

   PROCEDURE To_Natural IS
   NEW Convert_Strings(Natural,0);
   PROCEDURE To_Integer IS
   NEW Convert_Strings(Integer,0);
   PROCEDURE To_Boolean IS
   NEW Convert_Strings(Boolean,True);


   PROCEDURE To_Double (
         From : IN     String;
         To   :    OUT Double;
         Ok   :    OUT Boolean);


   FUNCTION To_Upper (
         S : String)
     RETURN String;

   FUNCTION To_Lower (
         S : String)
     RETURN String;



END Strings;
